com::lomiri::location::Criteria Struct Reference

Summarizes criteria of a client session with respect to functionality and accuracy for position, velocity and heading measurements. More...

`#include <criteria.h>`

Collaboration diagram for com::lomiri::location::Criteria:

## Classes

struct | Requires
struct | Accuracy

## Public Member Functions

bool | satisfies (const Criteria &rhs) const
| satisfies checks whether this instance also satisfies another criteria instance.

## Public Attributes

struct com::lomiri::location::Criteria::Requires | requires = Requires{}
struct com::lomiri::location::Criteria::Accuracy | accuracy = Accuracy{}

## Detailed Description

Summarizes criteria of a client session with respect to functionality and accuracy for position, velocity and heading measurements.

Definition at line 34 of file criteria.h.

## Member Function Documentation

## satisfies()

bool com::lomiri::location::Criteria::satisfies | ( | const Criteria & | rhs | ) | const

satisfies checks whether this instance also satisfies another criteria instance.

Parameters

  rhs | The other criteria instance

Returns
  true iff this instance also satisfies the other instance, else false.

## Member Data Documentation

## accuracy

struct com::lomiri::location::Criteria::Accuracy com::lomiri::location::Criteria::accuracy = Accuracy{}

Referenced by core::dbus::Codec< com::lomiri::location::Criteria >::decode_argument(), and core::dbus::Codec< com::lomiri::location::Criteria >::encode_argument().

## requires

struct com::lomiri::location::Criteria::Requires com::lomiri::location::Criteria::requires = Requires{}

Referenced by core::dbus::Codec< com::lomiri::location::Criteria >::decode_argument(), and core::dbus::Codec< com::lomiri::location::Criteria >::encode_argument().

The documentation for this struct was generated from the following file:

- criteria.h